{
  config,
  lib,
  pkgs,
  ...
}:
with lib; let
  cfg = config.local.gui;
in {
  config = mkIf cfg.enable {
    services.mako = {
      enable = true;
      settings = {
        actions = true;
        anchor = "top-right";
        background-color = "#000000";
        border-color = "#000000";
        progress-color = "over #FFFFFF";
        border-radius = 0;
        default-timeout = 7000;
        font = "JetBrainsMono Nerd Font 10";
        icons = true;
        ignore-timeout = false;
        layer = "top";
      };
    };
  };
}
